Index: /anuga_core/source/anuga/pmesh/icons/addVertex.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/addVertex.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/addVertex.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>addVertex.gif</filename>
+      <checksum>-1521060556</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/autoSegGiveAlpha.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/autoSegGiveAlpha.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/autoSegGiveAlpha.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>autoSegGiveAlpha.gif</filename>
+      <checksum>-283639999</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/default.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/default.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/default.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>default.gif</filename>
+      <checksum>819066580</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/eagle.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/eagle.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/eagle.lic	(revision 5108)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>eagle.dat</filename>
+      <checksum>-111111</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Unknown</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>This is a polygon comprising easting and northing locations 
+      tracing parts of the coastline at Dampier WA as well as a rectangular area inland.
+      This is used to specifically set the onshore initial condition in a tsunami scenario
+      and here, it is used with a unit test in test_polygon.py.
+      
+      The coastline was derived from Maritime Boundaries which is a public dataset. However,
+      rumour has it that some of it was digitised from a Landgate supplied image.
+      
+      The origin and license issues are still undecided</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/edit.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/edit.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/edit.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>edit.gif</filename>
+      <checksum>1699516131</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/hole.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/hole.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/hole.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>hole.gif</filename>
+      <checksum>453959016</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/joinVer.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/joinVer.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/joinVer.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>joinVer.gif</filename>
+      <checksum>-1003484863</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/meshGen.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/meshGen.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/meshGen.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>meshGen.gif</filename>
+      <checksum>-1239631320</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/no_see.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/no_see.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/no_see.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>no_see.gif</filename>
+      <checksum>-33749560</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/pointer.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/pointer.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/pointer.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>pointer.gif</filename>
+      <checksum>2015257324</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/region.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/region.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/region.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>region.gif</filename>
+      <checksum>-599357628</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/see.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/see.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/see.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>see.gif</filename>
+      <checksum>1939477386</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/segment.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/segment.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/segment.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>segment.gif</filename>
+      <checksum>956924438</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/sep.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/sep.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/sep.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>sep.gif</filename>
+      <checksum>-241021346</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/vertex.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/vertex.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/vertex.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>vertex.gif</filename>
+      <checksum>1322908313</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/zoom0.5.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/zoom0.5.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/zoom0.5.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>zoom0.5.gif</filename>
+      <checksum>1018377364</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/zoom2.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/zoom2.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/zoom2.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>zoom2.gif</filename>
+      <checksum>-556758766</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>
Index: /anuga_core/source/anuga/pmesh/icons/zoomToMesh.lic
===================================================================
--- /anuga_core/source/anuga/pmesh/icons/zoomToMesh.lic	(revision 5108)
+++ /anuga_core/source/anuga/pmesh/icons/zoomToMesh.lic	(revision 5108)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Duncan Gray</author>
+    </metadata>
+    <datafile>
+      <filename>zoomToMesh.gif</filename>
+      <checksum>403205887</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Duncan Gray</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Graphical Mesh Generator</IP_info>
+    </datafile>
+
+  </ga_license_file>