Index: anuga_work/production/busselton/build_busselton.py
===================================================================
--- anuga_work/production/busselton/build_busselton.py	(revision 5121)
+++ anuga_work/production/busselton/build_busselton.py	(revision 5149)
@@ -27,5 +27,5 @@
 from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
 from anuga.geospatial_data.geospatial_data import *
-from anuga.abstract_2d_finite_volumes.util import start_screen_catcher, copy_code_files
+from anuga.shallow_water.data_manager import start_screen_catcher, copy_code_files,store_parameters
 
 # Application specific imports
@@ -39,5 +39,5 @@
 start_screen_catcher(project.output_build_time_dir)
 
-print 'time stamp: ',project.gtime
+print 'time stamp: ',project.time
 print 'USER: ', project.user
 
@@ -59,4 +59,5 @@
 onshore_in_dir_name = project.onshore_in_dir_name
 coast_in_dir_name = project.coast_in_dir_name
+coast_in_dir_name1 = project.coast_in_dir_name1
 #island_in_dir_name = project.island_in_dir_name
 offshore_in_dir_name = project.offshore_in_dir_name
@@ -64,4 +65,5 @@
 onshore_dir_name = project.onshore_dir_name
 coast_dir_name = project.coast_dir_name
+coast_dir_name1 = project.coast_dir_name1
 #island_dir_name = project.island_dir_name
 offshore_dir_name = project.offshore_dir_name
@@ -86,11 +88,12 @@
 
 print'create Geospatial data1 objects from topographies'
-G1 = Geospatial_data(file_name = onshore_dir_name + '.pts')
-G2 = Geospatial_data(file_name = coast_in_dir_name + '.xya')
-#G3 = Geospatial_data(file_name = island_dir_name + '.pts')
-G_off = Geospatial_data(file_name = offshore_in_dir_name + '.xya')
+G1 = Geospatial_data(file_name = onshore_dir_name + '.pts',verbose=True)
+G2 = Geospatial_data(file_name = coast_in_dir_name + '.txt',verbose=True)
+G3 = Geospatial_data(file_name = coast_in_dir_name1 + '.txt',verbose=True)
+#G3 = Geospatial_data(file_name = island_dir_name + '.pts',verbose=True)
+G_off = Geospatial_data(file_name = offshore_in_dir_name + '.txt',verbose=True)
 
 print'add all geospatial objects'
-G = G1 + G2 + G_off 
+G = G1 + G2 + G3 + G_off 
 
 print'clip combined geospatial object by bounding polygon'
@@ -102,18 +105,17 @@
 if access(project.topographies_dir,F_OK) == 0:
     mkdir (project.topographies_dir)
-G.export_points_file(project.combined_dir_name + '.xya')
+G.export_points_file(project.combined_dir_name + '.txt')
 #G_clipped.export_points_file(project.combined_dir_name + '.xya')
 
+print'project.combined_dir_name + .txt',project.combined_dir_name + '.txt'
+#G_all=Geospatial_data(file_name = project.combined_dir_name + '.txt')
+print'split'
+G_all_1, = G.split(.10)
+print'export 1'
+G_all_1.export_points_file(project.combined_dir_name+'_small' + '.txt')
+#print'export 2'
+#G_all_2.export_points_file(project.combined_dir_name+'_other1' + '.xya')
+
 '''
-print'project.combined_dir_name + 1.xya',project.combined_dir_name + '1.xya'
-G_all=Geospatial_data(file_name = project.combined_dir_name + '1.xya')
-print'split'
-G_all_1, G_all_2 = G_all.split(.10)
-print'export 1'
-G_all_1.export_points_file(project.combined_dir_name+'_small1' + '.xya')
-print'export 2'
-G_all_2.export_points_file(project.combined_dir_name+'_other1' + '.xya')
-
-
 #-------------------------------------------------------------------------
 # Convert URS to SWW file for boundary conditions 
Index: anuga_work/production/busselton/project.py
===================================================================
--- anuga_work/production/busselton/project.py	(revision 5121)
+++ anuga_work/production/busselton/project.py	(revision 5149)
@@ -32,5 +32,5 @@
 state = 'western_australia'
 scenario_name = 'busselton'
-scenario = 'busselton_tsunami_scenario_2006'
+scenario = 'busselton_tsunami_scenario'
 
 #Maybe will try to make project a class to allow these parameters to be passed in.
@@ -39,8 +39,9 @@
 starttime=10000
 midtime=21600
-finaltime=25000
+#finaltime=25000
+finaltime=10000
 export_cellsize=50
-setup='final'
-source='test'
+setup='trial'
+source='other'
 
 
@@ -65,19 +66,21 @@
 
 # onshore data provided by WA DLI
-onshore_name = 'DLI_orthophoto_DEM' # original
+#onshore_name = 'DLI_orthophoto_DEM' # original
+onshore_name = 'dli_dem_clipped' # original
 #islands
 
 # AHO + DPI data
-coast_name = '100k_coastline'
-offshore_name = 'Bathymetry'
+coast_name = 'coastline_excluding_beach_survey'
+coast_name1 = 'beach_survey_final'
+offshore_name = 'busselton'
 
 #final topo name
-combined_name ='busselton_combined_elevation.pts'
-combined_smaller_name = 'busselton_combined_elevation_smaller'
+combined_name ='busselton_combined_elevation'
+combined_name_small = 'busselton_combined_elevation_smaller'
 
 anuga_dir = home+state+sep+scenario+sep+'anuga'+sep
 
-topographies_in_dir = home+sep+state+sep+scenario+sep+'elevation_final'+sep+'points'+sep
-topographies_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'topographies'+sep
+topographies_in_dir = home+state+sep+scenario+sep+'elevation_final'+sep+'points'+sep
+topographies_dir = home+state+sep+scenario+sep+'anuga'+sep+'topographies'+sep
 
 #input topo file location
@@ -86,4 +89,5 @@
 
 coast_in_dir_name = topographies_in_dir + coast_name
+coast_in_dir_name1 = topographies_in_dir + coast_name1
 offshore_in_dir_name = topographies_in_dir + offshore_name
 
@@ -91,9 +95,10 @@
 #island_dir_name = topographies_dir + island_name
 coast_dir_name = topographies_dir + coast_name
+coast_dir_name1 = topographies_dir + coast_name1
 offshore_dir_name = topographies_dir + offshore_name
 
 #final topo files
 combined_dir_name = topographies_dir + combined_name
-combined_smaller_dir_name = topographies_dir + combined_smaller_name
+combined_dir_name_small = topographies_dir + combined_name_small
 
 meshes_dir = anuga_dir+'meshes'+sep
@@ -115,5 +120,5 @@
     boundaries_in_dir = anuga_dir+'boundaries'+sep+'urs'+sep+'exmouth'+sep+'1_10000'+sep
 
-if source=='test':
+if source=='other':
     boundaries_name = 'test' #exmouth gun
     boundaries_in_dir = anuga_dir+'boundaries'+sep+'urs'+sep+'exmouth'+sep+'1_10000'+sep
@@ -134,5 +139,5 @@
 #gauges
 gauge_name = '???.csv'
-gauges_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'gauges'+sep
+gauges_dir = home+state+sep+scenario+sep+'anuga'+sep+'gauges'+sep
 gauges_dir_name = gauges_dir + gauge_name
 
@@ -171,4 +176,5 @@
 poly_busselton1 = read_polygon(polygons_dir+'neg20_pos10_polygon.csv')
 res_busselton1 = 10000*res_factor
+
 poly_busselton2 = read_polygon(polygons_dir+'neg5_pos5_poly_.csv')
 res_busselton2 = 500*res_factor
@@ -178,6 +184,6 @@
 interior_regions = [[poly_busselton1,res_busselton1],[poly_busselton2,res_busselton2]]
 
-boundary_tags={'back': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 14],
-               'side': [10,13], 'ocean': [11, 12]}
+boundary_tags={'back': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
+               'side': [10,15], 'ocean': [12, 13, 14]}
 
 trigs_min = number_mesh_triangles(interior_regions, poly_all, res_poly_all)
Index: anuga_work/production/busselton/run_busselton.py
===================================================================
--- anuga_work/production/busselton/run_busselton.py	(revision 5121)
+++ anuga_work/production/busselton/run_busselton.py	(revision 5149)
@@ -169,23 +169,26 @@
     #print 'Reading Boundary file',project.boundaries_dir_namea + '.sww'
 
-    if project.source != 'test':
+    print'set_boundary'
+
+    Br = Reflective_boundary(domain)
+    Bd = Dirichlet_boundary([kwargs['tide'],0,0])
+    Bo = Dirichlet_boundary([kwargs['tide']+10.0,0,0])
+
+    if project.source != 'other':
         Bf = Field_boundary(kwargs['boundary_file'],
                     domain, time_thinning=kwargs['time_thinning'], mean_stage=kwargs['tide'], 
                     use_cache=True, verbose=True)
-                    
-    kwargs['input_start_time']=domain.starttime
-
-    print 'finished reading boundary file'
-
-    Br = Reflective_boundary(domain)
-    Bd = Dirichlet_boundary([kwargs['tide'],0,0])
-    Bo = Dirichlet_boundary([kwargs['tide']+5.0,0,0])
-
-
-    print'set_boundary'
-
-    domain.set_boundary({'back': Br,
-                         'side': Bd,
-                         'ocean': Bf}) 
+        print 'finished reading boundary file'
+        domain.set_boundary({'back': Br,
+                             'side': Bd,
+                             'ocean': Bf})
+    else: 
+        print 'set ocean'               
+        domain.set_boundary({'back': Br,
+                             'side': Bd,
+                             'ocean': Bd}) 
+
+#    kwargs['input_start_time']=domain.starttime
+
     print'finish set boundary'
 
@@ -195,12 +198,12 @@
     t0 = time.time()
 
-    for t in domain.evolve(yieldstep = 240, finaltime = kwargs['starttime']): 
+    for t in domain.evolve(yieldstep = 240, finaltime = kwargs['finaltime']): 
         domain.write_time()
         domain.write_boundary_statistics(tags = 'ocean')     
 
-        if allclose(t, 120):
+        if allclose(t, 240):
             domain.set_boundary({'back': Br, 'side': Bd, 'ocean': Bo})
 
-        if allclose(t, 720):
+        if allclose(t, 1440):
             domain.set_boundary({'back': Br, 'side': Bd, 'ocean': Bd})
 
@@ -274,5 +277,5 @@
     
     kwargs['output_dir']=project.output_run_time_dir
-    kwargs['bathy_file']=project.combined_dir_name
+    kwargs['bathy_file']=project.combined_dir_name+'.pts'
 #    kwargs['bathy_file']=project.combined_small_dir_name + '.pts'
     kwargs['boundary_file']=project.boundaries_in_dir_name + '.sww'