Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 5180)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 5181)
@@ -1404,5 +1404,6 @@
             return -x
         
-        """Most of this test was copied from test_interpolate test_interpole_sww2csv
+        """Most of this test was copied from test_interpolate
+        test_interpole_sww2csv
         
         This is testing the gauge_sww2csv function, by creating a sww file and
@@ -1410,5 +1411,5 @@
         """
         
-        # create mesh
+        # Create mesh
         mesh_file = tempfile.mktemp(".tsh")    
         points = [[0.0,0.0],[6.0,0.0],[6.0,6.0],[0.0,6.0]]
@@ -1419,5 +1420,5 @@
         m.export_mesh_file(mesh_file)
         
-        #Create shallow water domain
+        # Create shallow water domain
         domain = Domain(mesh_file)
         os.remove(mesh_file)
@@ -1425,6 +1426,11 @@
         domain.default_order=2
         domain.beta_h = 0
-
-        #Set some field values
+        
+        # This test was made before tight_slope_limiters were introduced
+        # Since were are testing interpolation values this is OK
+        domain.tight_slope_limiters = 0 
+        
+
+        # Set some field values
         domain.set_quantity('elevation', elevation_function)
         domain.set_quantity('friction', 0.03)
@@ -1446,4 +1452,5 @@
         domain.smooth = True
         domain.reduction = mean
+
 
         sww = get_dataobject(domain)
@@ -1468,7 +1475,7 @@
         
         sww2csv_gauges(sww.filename, 
-                            points_file,
-                            verbose=False,
-                            use_cache=False)
+                       points_file,
+                       verbose=False,
+                       use_cache=False)
 
 #        point1_answers_array = [[0.0,1.0,-5.0,3.0,4.0], [2.0,10.0,-5.0,3.0,4.0]]
@@ -1521,5 +1528,6 @@
             return -x
         
-        """Most of this test was copied from test_interpolate test_interpole_sww2csv
+        """Most of this test was copied from test_interpolate
+        test_interpole_sww2csv
         
         This is testing the gauge_sww2csv function, by creating a sww file and
@@ -1530,5 +1538,5 @@
         """
         
-        # create mesh
+        # Create mesh
         mesh_file = tempfile.mktemp(".tsh")    
         points = [[0.0,0.0],[6.0,0.0],[6.0,6.0],[0.0,6.0]]
@@ -1539,5 +1547,5 @@
         m.export_mesh_file(mesh_file)
         
-        #Create shallow water domain
+        # Create shallow water domain
         domain = Domain(mesh_file)
         os.remove(mesh_file)
@@ -1546,5 +1554,5 @@
         domain.beta_h = 0
 
-        #Set some field values
+        # Set some field values
         domain.set_quantity('elevation', elevation_function)
         domain.set_quantity('friction', 0.03)
@@ -1633,14 +1641,15 @@
             return -x
         
-        """Most of this test was copied from test_interpolate test_interpole_sww2csv
+        """Most of this test was copied from test_interpolate
+        test_interpole_sww2csv
         
         This is testing the gauge_sww2csv function, by creating a sww file and
         then exporting the gauges and checking the results.
         
-        This is the same as sww2csv_gauges except set domain.set_starttime to 5. Therefore
-        testing the storing of the absolute time in the csv files
+        This is the same as sww2csv_gauges except set domain.set_starttime to 5.
+        Therefore testing the storing of the absolute time in the csv files
         """
         
-        # create mesh
+        # Create mesh
         mesh_file = tempfile.mktemp(".tsh")    
         points = [[0.0,0.0],[6.0,0.0],[6.0,6.0],[0.0,6.0]]
@@ -1651,5 +1660,5 @@
         m.export_mesh_file(mesh_file)
         
-        #Create shallow water domain
+        # Create shallow water domain
         domain = Domain(mesh_file)
         os.remove(mesh_file)
@@ -1658,5 +1667,9 @@
         domain.beta_h = 0
 
-        #Set some field values
+        # This test was made before tight_slope_limiters were introduced
+        # Since were are testing interpolation values this is OK
+        domain.tight_slope_limiters = 0         
+
+        # Set some field values
         domain.set_quantity('elevation', elevation_function)
         domain.set_quantity('friction', 0.03)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5180)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5181)
@@ -1965,10 +1965,10 @@
                                            verbose=False):
 
-    '''this will read a csv file with the header x,y. Then look in a square 'size'x2
-    around this position for the 'max_inundaiton_height' in the 'sww_filename' and 
-    report the findings in the 'runup_filename
-    
-    WARNING: NO TESTS!
-    '''
+    """this will read a csv file with the header x,y. Then look in a square
+    'size'x2 around this position for the 'max_inundaiton_height' in the
+    'sww_filename' and report the findings in the 'runup_filename
+    
+    WARNING: NO TESTS! 
+    """
 
     from anuga.shallow_water.data_manager import get_all_directories_with_name,\
@@ -2002,5 +2002,6 @@
         if x_y==None: x_y=[0,0]
         
-        if verbose:print 'maximum inundation runup near %s is %s meters' %(x_y,run_up)
+        if verbose:
+            print 'maximum inundation runup near %s is %s meters' %(x_y,run_up)
         
         #writes to file
@@ -2009,8 +2010,10 @@
         file.write(temp)
         file.close()
+        
 
 def sww2csv_gauges(sww_file,
                    gauge_file,
-                   quantities = ['stage','depth', 'elevation', 'xmomentum', 'ymomentum'],
+                   quantities = ['stage', 'depth', 'elevation',
+                                 'xmomentum', 'ymomentum'],
                    verbose=False,
                    use_cache = True):
@@ -2019,7 +2022,8 @@
     Inputs: 
         
-        NOTE: if using csv2timeseries_graphs after creating csv file, it is essential to 
-        export quantities 'depth' and 'elevation'. 'depth' is good to analyse gauges on 
-        land and elevation is used automatically by csv2timeseries_graphs in the legend.
+        NOTE: if using csv2timeseries_graphs after creating csv file,
+        it is essential to export quantities 'depth' and 'elevation'.
+        'depth' is good to analyse gauges on land and elevation is used
+        automatically by csv2timeseries_graphs in the legend.
         
         sww_file: path to any sww file
@@ -2030,8 +2034,8 @@
             point2, 10.3, 70.3, 78.0
         
-        NOTE: order of column can change but names eg 'easting', elevation' 
+        NOTE: order of column can change but names eg 'easting', 'elevation' 
         must be the same! ALL lowercaps!
         
-    Outputs:
+    Outputs: 
         one file for each gauge/point location in the points file. They
         will be named with this format in the same directory as the 'sww_file'
@@ -2041,6 +2045,6 @@
     
     Usage: gauges_sww2csv(sww_file='test1.sww',
-               quantities = ['stage', 'elevation','depth','bearing'],
-               gauge_file='gauge.txt')    
+                          quantities = ['stage', 'elevation','depth','bearing'],
+                          gauge_file='gauge.txt')    
     
     Interpolate the quantities at a given set of locations, given
@@ -2055,10 +2059,11 @@
 
     This is really returning speed, not velocity.
-    
-    
-    """
+     
+    
+    """
+    
     from csv import reader,writer
     from anuga.utilities.numerical_tools import ensure_numeric, mean, NAN
-    from Numeric import array, resize,shape,Float,zeros,take,argsort,argmin
+    from Numeric import array, resize, shape, Float, zeros, take, argsort, argmin
     import string
     from anuga.shallow_water.data_manager import get_all_swwfiles
Index: /anuga_core/source/anuga/config.py
===================================================================
--- /anuga_core/source/anuga/config.py	(revision 5180)
+++ /anuga_core/source/anuga/config.py	(revision 5181)
@@ -86,5 +86,5 @@
 # tight_slope_limiters = 0 means use old limiters (e.g. for some tests)
 # tight_slope_limiters = 1 means use new limiters that hug the bathymetry closer
-tight_slope_limiters = 0
+tight_slope_limiters = True
 
 
Index: /anuga_core/source/anuga/fit_interpolate/test_interpolate.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 5180)
+++ /anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 5181)
@@ -1582,5 +1582,5 @@
             return -x
         
-        # create mesh
+        # Create mesh
         mesh_file = tempfile.mktemp(".tsh")    
         points = [[0.0,0.0],[6.0,0.0],[6.0,6.0],[0.0,6.0]]
@@ -1591,12 +1591,16 @@
         m.export_mesh_file(mesh_file)
         
-        #Create shallow water domain
+        # Create shallow water domain
         domain = Domain(mesh_file)
         os.remove(mesh_file)
         
-        domain.default_order=2
+        domain.default_order = 2
         domain.beta_h = 0
 
-        #Set some field values
+        # This test was made before tight_slope_limiters were introduced
+        # Since were are testing interpolation values this is OK
+        domain.tight_slope_limiters = 0 
+
+        # Set some field values
         domain.set_quantity('elevation', elevation_function)
         domain.set_quantity('friction', 0.03)
@@ -1622,10 +1626,10 @@
         sww.store_connectivity()
         sww.store_timestep(['stage', 'xmomentum', 'ymomentum'])
-        domain.set_quantity('stage', 10.0) # This is automatically limmited
-        # so it will not be less than the elevation
+        domain.set_quantity('stage', 10.0) # This is automatically limited
+        # So it will not be less than the elevation
         domain.time = 2.
         sww.store_timestep(['stage', 'xmomentum', 'ymomentum'])
 
-        # test the function
+        # Test the function
         points = [[5.0,1.],[0.5,2.]]
         depth_file = tempfile.mktemp(".csv") 