Index: /anuga_work/development/anugavis/configure.ac
===================================================================
--- /anuga_work/development/anugavis/configure.ac	(revision 5215)
+++ /anuga_work/development/anugavis/configure.ac	(revision 5216)
@@ -5,10 +5,9 @@
 AC_INIT([ANUGA OpenGL Visualiser], [alpha], [u4112456@anu.edu.au])
 AM_INIT_AUTOMAKE([-Wall -Werror foreign])
-AC_CONFIG_SRCDIR([src/anugavis.h])
+AC_CONFIG_SRCDIR([src/libanugavis/anugavis.h])
 AC_CONFIG_HEADER([config.h])
 
 # Checks for programs.
 AC_PROG_CC
-AC_PROG_RANLIB
 AC_LIBTOOL_WIN32_DLL
 AC_PROG_LIBTOOL
@@ -29,4 +28,6 @@
 
 AC_CONFIG_FILES([Makefile
-                 src/Makefile])
+                 src/Makefile
+                 src/anugavis_simple/Makefile
+                 src/libanugavis/Makefile])
 AC_OUTPUT
Index: /anuga_work/development/anugavis/src/Makefile.am
===================================================================
--- /anuga_work/development/anugavis/src/Makefile.am	(revision 5215)
+++ /anuga_work/development/anugavis/src/Makefile.am	(revision 5216)
@@ -1,5 +1,1 @@
-include_HEADERS = anugavis.h
-
-lib_LTLIBRARIES = libanugavis.la
-libanugavis_la_SOURCES = anugavis.h error.c init.c
-libanugavis_la_LDFLAGS = -no-undefined -version-info 1:0:0
+SUBDIRS = anugavis_simple libanugavis
Index: uga_work/development/anugavis/src/anugavis.h
===================================================================
--- /anuga_work/development/anugavis/src/anugavis.h	(revision 5215)
+++ 	(revision )
@@ -1,10 +1,0 @@
-#ifndef ANUGAVIS_H
-#define ANUGAVIS_H
-
-extern int AnugaVis_Init(void);
-extern void AnugaVis_DeInit(void);
-
-extern char* AnugaVis_GetError(void);
-extern void AnugaVis_SetError(const char *format, ...);
-
-#endif
Index: /anuga_work/development/anugavis/src/anugavis_simple/Makefile.am
===================================================================
--- /anuga_work/development/anugavis/src/anugavis_simple/Makefile.am	(revision 5216)
+++ /anuga_work/development/anugavis/src/anugavis_simple/Makefile.am	(revision 5216)
@@ -0,0 +1,4 @@
+bin_PROGRAMS = anugavis_simple
+anugavis_simple_SOURCES = anugavis_simple.c
+anugavis_simple_CPPFLAGS = -I../libanugavis
+anugavis_simple_LDADD = ../libanugavis/libanugavis.la
Index: /anuga_work/development/anugavis/src/anugavis_simple/anugavis_simple.c
===================================================================
--- /anuga_work/development/anugavis/src/anugavis_simple/anugavis_simple.c	(revision 5216)
+++ /anuga_work/development/anugavis/src/anugavis_simple/anugavis_simple.c	(revision 5216)
@@ -0,0 +1,12 @@
+#include <anugavis.h>
+#include <stdio.h>
+
+int main(int argc, char *argv[]){
+  if(AnugaVis_Init() == -1){
+    printf("AnugaVis Error: %s", AnugaVis_GetError());
+    return 1;
+  }
+
+  AnugaVis_DeInit();
+  return 0;
+}
Index: uga_work/development/anugavis/src/error.c
===================================================================
--- /anuga_work/development/anugavis/src/error.c	(revision 5215)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#include <SDL.h>
-#include "anugavis.h"
-
-#define MAX_ERROR_LEN 50
-
-static char error[MAX_ERROR_LEN];
-
-char* AnugaVis_GetError(void){
-  return error;
-}
-
-void AnugaVis_SetError(const char *format, ...){
-  va_list args;
-  va_start(args, format);
-  vsnprintf(error, MAX_ERROR_LEN, format, args);
-  va_end(args);
-}
Index: uga_work/development/anugavis/src/init.c
===================================================================
--- /anuga_work/development/anugavis/src/init.c	(revision 5215)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#include <SDL.h>
-#include "anugavis.h"
-
-int AnugaVis_Init(void){
-  if(SDL_Init(SDL_INIT_VIDEO) == -1){
-    AnugaVis_SetError("SDL Error: %s", SDL_GetError());
-    SDL_ClearError();
-    return -1;
-  }
-}
-
-void AnugaVis_DeInit(void){
-  SDL_Quit();
-}
Index: /anuga_work/development/anugavis/src/libanugavis/Makefile.am
===================================================================
--- /anuga_work/development/anugavis/src/libanugavis/Makefile.am	(revision 5216)
+++ /anuga_work/development/anugavis/src/libanugavis/Makefile.am	(revision 5216)
@@ -0,0 +1,5 @@
+include_HEADERS = anugavis.h
+
+lib_LTLIBRARIES = libanugavis.la
+libanugavis_la_SOURCES = anugavis.h error.c init.c
+libanugavis_la_LDFLAGS = -no-undefined -version-info 1:0:0
Index: /anuga_work/development/anugavis/src/libanugavis/anugavis.h
===================================================================
--- /anuga_work/development/anugavis/src/libanugavis/anugavis.h	(revision 5216)
+++ /anuga_work/development/anugavis/src/libanugavis/anugavis.h	(revision 5216)
@@ -0,0 +1,10 @@
+#ifndef ANUGAVIS_H
+#define ANUGAVIS_H
+
+extern int AnugaVis_Init(void);
+extern void AnugaVis_DeInit(void);
+
+extern char* AnugaVis_GetError(void);
+extern void AnugaVis_SetError(const char *format, ...);
+
+#endif
Index: /anuga_work/development/anugavis/src/libanugavis/error.c
===================================================================
--- /anuga_work/development/anugavis/src/libanugavis/error.c	(revision 5216)
+++ /anuga_work/development/anugavis/src/libanugavis/error.c	(revision 5216)
@@ -0,0 +1,17 @@
+#include <SDL.h>
+#include "anugavis.h"
+
+#define MAX_ERROR_LEN 50
+
+static char error[MAX_ERROR_LEN];
+
+char* AnugaVis_GetError(void){
+  return error;
+}
+
+void AnugaVis_SetError(const char *format, ...){
+  va_list args;
+  va_start(args, format);
+  vsnprintf(error, MAX_ERROR_LEN, format, args);
+  va_end(args);
+}
Index: /anuga_work/development/anugavis/src/libanugavis/init.c
===================================================================
--- /anuga_work/development/anugavis/src/libanugavis/init.c	(revision 5216)
+++ /anuga_work/development/anugavis/src/libanugavis/init.c	(revision 5216)
@@ -0,0 +1,14 @@
+#include <SDL.h>
+#include "anugavis.h"
+
+int AnugaVis_Init(void){
+  if(SDL_Init(SDL_INIT_VIDEO) == -1){
+    AnugaVis_SetError("SDL Error: %s", SDL_GetError());
+    SDL_ClearError();
+    return -1;
+  }
+}
+
+void AnugaVis_DeInit(void){
+  SDL_Quit();
+}