Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py	(revision 5241)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py	(revision 5242)
@@ -166,4 +166,5 @@
         # =0 for ghost
         N = len(self) #number_of_elements
+        self.number_of_elements = N
         self.tri_full_flag = ones(N, Int)
         for i in self.ghost_recv_dict.keys():
@@ -173,5 +174,6 @@
         # Test the assumption that all full triangles are store before
         # the ghost triangles.
-        assert allclose(self.tri_full_flag[:self.number_of_full_nodes],1)
+        if not allclose(self.tri_full_flag[:self.number_of_full_nodes],1):
+            print 'WARNING:  Not all full triangles are store before ghost triangles'
                         
 
@@ -1415,4 +1417,6 @@
         # Protect against degenerate timesteps arising from isolated
         # triangles
+        # FIXME (Steve): This should be in shallow_water as it assumes x and y
+        # momentum
         if self.protect_against_isolated_degenerate_timesteps is True and\
                self.max_speed > 10.0: # FIXME (Ole): Make this configurable
Index: /anuga_core/source/anuga/advection/__init__.py
===================================================================
--- /anuga_core/source/anuga/advection/__init__.py	(revision 5241)
+++ /anuga_core/source/anuga/advection/__init__.py	(revision 5242)
@@ -2,7 +2,12 @@
 """
 
-pass
+# Add path of package to PYTHONPATH to allow C-extensions to be loaded
+import sys
+sys.path += __path__
+
+# Make selected classes available directly
+from advection import Domain,\
+    Transmissive_boundary, Dirichlet_boundary
 
 
 
-
Index: /anuga_core/source/anuga/advection/advection.py
===================================================================
--- /anuga_core/source/anuga/advection/advection.py	(revision 5241)
+++ /anuga_core/source/anuga/advection/advection.py	(revision 5242)
@@ -157,5 +157,5 @@
 
         import advection_ext		
-        self.timestep = advection_ext.compute_fluxes(self, Stage, huge_timestep, max_timestep)
+        self.flux_timestep = advection_ext.compute_fluxes(self, Stage, huge_timestep, max_timestep)
 
 
Index: /anuga_core/source/anuga/advection/test_advection.py
===================================================================
--- /anuga_core/source/anuga/advection/test_advection.py	(revision 5241)
+++ /anuga_core/source/anuga/advection/test_advection.py	(revision 5242)
@@ -143,5 +143,5 @@
 
 
-    def FIXME_test_advection_example(self):
+    def test_advection_example(self):
         #Test that system can evolve
 
Index: /anuga_core/source/anuga_parallel/parallel_advection.py
===================================================================
--- /anuga_core/source/anuga_parallel/parallel_advection.py	(revision 5241)
+++ /anuga_core/source/anuga_parallel/parallel_advection.py	(revision 5242)
@@ -22,5 +22,5 @@
     pass
 
-from anuga.abstract_2d_finite_volumes.advection_vtk import *
+from anuga.advection import *
 from Numeric import zeros, Float, Int, ones, allclose, array
 import pypar
Index: /anuga_core/source/anuga_parallel/parallel_meshes.py
===================================================================
--- /anuga_core/source/anuga_parallel/parallel_meshes.py	(revision 5241)
+++ /anuga_core/source/anuga_parallel/parallel_meshes.py	(revision 5242)
@@ -15,9 +15,12 @@
 
 import sys
-from Numeric import array, zeros, Float, Int
+from Numeric import array, zeros, Float, Int, ones, sum
 
 import pypar
 
 from anuga.config import epsilon
+
+
+
 
 
@@ -181,4 +184,8 @@
         ghost_recv_dict[(processor+1)%numproc] = [Idgr, Idgr]
 
+
+
+        
+    
     return  points, elements, boundary, full_send_dict, ghost_recv_dict
 
Index: /anuga_core/source/anuga_parallel/print_stats.py
===================================================================
--- /anuga_core/source/anuga_parallel/print_stats.py	(revision 5241)
+++ /anuga_core/source/anuga_parallel/print_stats.py	(revision 5242)
@@ -50,4 +50,5 @@
         for id in ghost_recv_dict[i][0]:
             tri_full_flag[id] = 0
+        
 
     return tri_full_flag
Index: /anuga_core/source/anuga_parallel/run_parallel_advection_prof.py
===================================================================
--- /anuga_core/source/anuga_parallel/run_parallel_advection_prof.py	(revision 5241)
+++ /anuga_core/source/anuga_parallel/run_parallel_advection_prof.py	(revision 5242)
@@ -76,9 +76,4 @@
                          full_send_dict, ghost_recv_dict, velocity=[1.0, 0.0])
 
-# Turn on the visualisation
-
-# rect = [0.0, 0.0, 1.0, 1.0]
-# domain.initialise_visualiser(rect=rect)
-
 # Boundaries
 
Index: /anuga_work/publications/anuga_2007/anuga_validation.tex
===================================================================
--- /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5241)
+++ /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5242)
@@ -3,5 +3,5 @@
 \documentclass[12pt,a4paper]{article}
 
-% create a pdf of this doc by using pdflatex 
+% create a pdf of this doc by using pdflatex
 % Do \emph{not} change the width nor the height of the text from the
 % defaults set by this document class.
@@ -22,4 +22,5 @@
 \usepackage{amsfonts}
 \usepackage{underscore}
+\usepackage{epstopdf}
 % Avoid loading unused packages (as done by some \LaTeX\ editors).
 
@@ -34,9 +35,9 @@
 \textsc{Australia}. \protect\url{mailto:Duncan.Gray@ga.gov.au}}\footnotemark[1]
 \and
-T.~Baldock\thanks{University of Queensland, Brisbane, \textsc{Australia}. 
+T.~Baldock\thanks{University of Queensland, Brisbane, \textsc{Australia}.
 \protect\url{mailto:tom.baldock@uq.edu.au}}\footnotemark[2]
 \and
 O.~M.~Nielsen\footnotemark[1]
-\and 
+\and
 M.~J.~Sexton\footnotemark[1]
 \and
@@ -84,6 +85,6 @@
 The core of \ANUGA{} is a \Python{} implementation of a finite-volume method
 for solving the conservative form of the Shallow Water Wave equation.
-In this paper we describe the model, the architecture and a range of 
-validations that have been carried out to establish confidence in the model. 
+In this paper we describe the model, the architecture and a range of
+validations that have been carried out to establish confidence in the model.
 
 
@@ -142,5 +143,5 @@
 described in section~\ref{sec:fvm}.  A more complete discussion of the
 method can be found in \cite{modsim2005} where the model and solution
-technique is validated on a standard tsunami benchmark data set 
+technique is validated on a standard tsunami benchmark data set
 or in \cite{Roberts2007} where parallelisation of ANUGA is discussed.
 This modelling capability is part of
@@ -148,5 +149,5 @@
 understand the potential impact from natural hazards in order to
 reduce their impact on Australian communities (see \cite{Nielsen2006}).
-\ANUGA{} is currently being trialled for flood 
+\ANUGA{} is currently being trialled for flood
 modelling (see \cite{Rigby2008}).
 
@@ -482,7 +483,7 @@
 wave specifications. The dataset also contained water depth time
 series from three wave gauges situated offshore from the simulated
-inundation area. The \ANUGA{} model comprised $41404$ triangles 
-and took about $2000$ s to run on a standard PC or $1500$ s 
-on a 64-bit Opteron 2000 series Linux server.  
+inundation area. The \ANUGA{} model comprised $41404$ triangles
+and took about $2000$ s to run on a standard PC or $1500$ s
+on a 64-bit Opteron 2000 series Linux server.
 
 Figure~\ref{fig:val} compares the observed wave tank and modelled
@@ -501,8 +502,8 @@
 This successful replication of the tsunami wave tank simulation on a
 complex 3D beach is a positive first step in validating the \ANUGA{}
-modelling capability. 
+modelling capability.
 
 \subsection{Manning's Friction Model Validation}
- 
+
 % Validation UQ friction
 % at X:\anuga_validation\uq_friction_2007
@@ -515,13 +516,13 @@
 \end{figure}
 
- The bed friction is modelled in ANUGA using the Manning's 
+ The bed friction is modelled in ANUGA using the Manning's
  model. Validation of this model was carried out by comparing results
  from ANUGA against experimental results from flume wave tanks. The
 experiments were carried out at the Gordon McKay Hydraulics Laboratory
 at St Lucia, University of Queensland.
- 
-%The Manning's friction model is 
-
-%To validate the friction model 
+
+%The Manning's friction model is
+
+%To validate the friction model
 
 \subsection{Stage and Velocity Validation in a Flume}
@@ -566,5 +567,5 @@
 Figure~\ref{fig:uq-flume-depth} show that ANUGA predicts the actual
 water depth very well, with the exception of the fluid tip-region. The
-water velocity is also predicted accurately. 
+water velocity is also predicted accurately.
 
 \subsection{Runup of Solitary wave on circular island wavetank validation}