Index: anuga_work/production/broome/run_boundary_points.py
===================================================================
--- anuga_work/production/broome/run_boundary_points.py	(revision 5213)
+++ anuga_work/production/broome/run_boundary_points.py	(revision 5245)
@@ -21,5 +21,5 @@
 from anuga.shallow_water.data_manager import URS_points_needed_to_file, \
      urs_ungridded2sww
-import project                 # Definition of file names and polygons
+import project_urs                 # Definition of file names and polygons
 
 #------------------------------------------------------------------------------
@@ -27,8 +27,8 @@
 # output to file
 #------------------------------------------------------------------------------
-poly = project.poly_all
+poly = project_urs.poly_all
 print "poly", poly
-print "project.boundaries_in_dir_name",project.boundaries_in_dir_name
-URS_points_needed_to_file(project.boundaries_in_dir_name,poly, export_csv=True, zone=51)
+print "project_urs.boundaries_in_dir_name",project_urs.boundaries_in_dir_name
+URS_points_needed_to_file(project_urs.boundaries_in_dir_name,poly, export_csv=True, zone=51)
 #URS_points_needed_to_file(project.boundaries_dir_name5,poly, export_csv=True, zone=50)
 #URS_points_needed_to_file(project.boundaries_dir_name5,poly, export_csv=True)
Index: anuga_work/production/exmouth_2006/plot_contour_data.py
===================================================================
--- anuga_work/production/exmouth_2006/plot_contour_data.py	(revision 5213)
+++ anuga_work/production/exmouth_2006/plot_contour_data.py	(revision 5245)
@@ -3,5 +3,5 @@
 
 import project
-from pylab import plot, xlabel, ylabel, savefig, ion, close, axis, title, legend, grid
+from pylab import plot, xlabel, ylabel, savefig, ion, close, axis, title, legend, grid, figure
 from os import sep
  
@@ -56,5 +56,6 @@
 #Magnitude 9.0 event (Sumba) at Exmouth')
 legend(['ANUGA','Green\'s law'])
-axis([-5,85,min(stage_max)*0.9,max(stage_max)*1.1])
+#axis([-5,85,min(stage_max)*0.9,max(stage_max)*1.1])
+axis([-5,85,3.5,max(stage_max)*1.1])
 grid(True)
 #savefig('stratification_onslow_gun')
@@ -62,4 +63,16 @@
 #savefig('stratification_dampier_gun')
 
+depthv2 = [0,5,20,80]
+datav2 = [8.2,6,4,h1]
+figure(2)
+plot(d2,green,'g-',depthv2,datav2,'bo-')
+xlabel('depth (m)')
+ylabel('stage (m)')
+title('ANUGA modelled maximum stage versus Green\'s approximation \n \
+Magnitude 9.3 event (Java) at Exmouth')
+legend(['ANUGA','Green\'s law'])
+axis([-5,85,3.5,max(stage_max)*1.1])
+grid(True)
+savefig('strat_exmouth_gun_v2')
 close('all')
 
Index: anuga_work/production/onslow_2006/convert_db_points.py
===================================================================
--- anuga_work/production/onslow_2006/convert_db_points.py	(revision 5213)
+++ anuga_work/production/onslow_2006/convert_db_points.py	(revision 5245)
@@ -13,12 +13,14 @@
     
     fid_out = open(filenameout, 'w')
-    s = '%s,%s\n' %('easting','northing')
+    s = '%s,%s,%s\n' %('easting','northing','zone')
     fid_out.write(s)
     for line in lines[1:]:
        fields = line.split(',')
-       x = float(fields[1])
-       y = float(fields[0])
+       #x = float(fields[1])
+       #y = float(fields[0])
+       x = float(fields[0])
+       y = float(fields[1])
        zone, easting, northing = redfearn(x,y)
-       s = '%f,%f\n' %(easting,northing)
+       s = '%f,%f,%f\n' %(easting,northing,zone)
        fid_out.write(s)
 
@@ -29,5 +31,8 @@
 import project
 
-filename = project.gaugedir + 'db_points.txt'
-filename_out = project.gaugedir + 'db_points_convert.txt'
+#filename = project.gaugedir + 'db_points.txt'
+#filename_out = project.gaugedir + 'db_points_convert.txt'
+filename = project.gaugedir + 'aus_hazard_pts.txt'
+filename_out = project.gaugedir + 'aus_hazard_pts_en.txt'
 alter_file(filename,filename_out)
+
Index: anuga_work/production/shark_bay_2007/export_results.py
===================================================================
--- anuga_work/production/shark_bay_2007/export_results.py	(revision 5213)
+++ anuga_work/production/shark_bay_2007/export_results.py	(revision 5245)
@@ -71,3 +71,3 @@
                     reduction = max, 
                     verbose = True,
-                    format = 'asc')
+                    format = 'txt')
Index: anuga_work/production/west_tas_2008/convert2eastnorth.py
===================================================================
--- anuga_work/production/west_tas_2008/convert2eastnorth.py	(revision 5213)
+++ anuga_work/production/west_tas_2008/convert2eastnorth.py	(revision 5245)
@@ -31,7 +31,13 @@
 #filename = project_smf.polygondir + 'domain.txt'
 #filename = project_smf.polygondir + 'local.txt'
-filename = project_smf.polygondir + 'region.txt'
+#filename = project_smf.polygondir + 'region.txt'
+#filename = project_smf.datadir + 'Sorell_Basin_150m_DD_Interp.txt'
+#filename = project_smf.datadir + 'S_Tasman_Rise_150m_DD_Interp.txt'
+filename = project_smf.polygondir + 'origin.txt'
 #filename_out = project_smf.polygondir + 'domain.csv'
 #filename_out = project_smf.polygondir + 'local.csv'
-filename_out = project_smf.polygondir + 'region.csv'
+#filename_out = project_smf.polygondir + 'region.csv'
+#filename_out = project_smf.datadir + 'Sorell_Basin_150m_EN_Interp.txt'
+#filename_out = project_smf.datadir + 'S_Tasman_Rise_150m_EN_Interp.txt'
+filename_out = project_smf.polygondir + 'origin_EN.csv'
 alter_file(filename,filename_out)
Index: anuga_work/production/west_tas_2008/project_smf.py
===================================================================
--- anuga_work/production/west_tas_2008/project_smf.py	(revision 5213)
+++ anuga_work/production/west_tas_2008/project_smf.py	(revision 5245)
@@ -24,22 +24,16 @@
 state = 'tasmania'
 scenario_dir_name = 'smf_scenario_2008'
-'''
-# onshore data provided by NSW LPI, Krishna merged with existing
-# PMD data to make 100m DEM
-on_offshore_name100 = 'bathyland100'
+
+# onshore data sourced from 250m grid
+onshore_name250 = 'bathyland250'
+
+# coastline from GA
+coast_line_name = 'aus_cst'
 
 # survey data
-offshore_name1 = 'surveyAreaA'
-offshore_name2 = 'surveyAreaB'
-offshore_name3 = 'surveyAreaC'
+offshore_name1 = 'S_Tasman_Rise_150m_EN_Interp'
+offshore_name2 = 'Sorell_Basin_150m_EN_Interp'
+offshore_name3 = 'West_Tas_EastNorth_z'
 
-# AHO data
-offshore_name4 = '1000003611export'
-offshore_name5 = '1000003613export'
-offshore_name6 = '1000003614export'
-offshore_name7 = '1000003627export'
-offshore_name8 = '1000003628export'
-offshore_name9 = 'AHDexport'
-'''
 #swollen/ all data output
 basename = 'source'
@@ -61,13 +55,14 @@
 codedirname = codedir + 'project_smf.py'
 meshname = outputtimedir + 'mesh_' + basename
-'''
+
 # Necessary if using point datasets, rather than grid
-on_offshore100_dem_name = datadir + on_offshore_name100
+onshore_250_dem_name = datadir + onshore_name250
 offshore_dem_name1 = datadir + offshore_name1
 offshore_dem_name2 = datadir + offshore_name2
 offshore_dem_name3 = datadir + offshore_name3
+coast_line = datadir + coast_line_name
 
 combined_dem_name   = datadir + 'west_tas_combined_elevation'
-'''
+
 ###############################
 # Domain definitions
@@ -94,5 +89,4 @@
 ###################################################################
 
-
 # exporting asc grid
 eastingmin = 333000
@@ -107,5 +101,5 @@
 
 # historical slides
-#slide_origin = [,]
+slide_origin = [338270.5407, 5217273.89]
 
 depth = 1750.0
Index: anuga_work/production/west_tas_2008/run_west_tas_smf.py
===================================================================
--- anuga_work/production/west_tas_2008/run_west_tas_smf.py	(revision 5213)
+++ anuga_work/production/west_tas_2008/run_west_tas_smf.py	(revision 5245)
@@ -54,28 +54,26 @@
 
 # filenames
-on_offshore25_dem_name = project_smf.on_offshore25_dem_name
+onshore_250_dem_name = project_smf.onshore_250_dem_name
 meshname = project_smf.meshname+'.msh'
 
 # creates DEM from asc data
-convert_dem_from_ascii2netcdf(on_offshore25_dem_name, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(onshore_250_dem_name, use_cache=True, verbose=True)
 
 #creates pts file for onshore DEM
-dem2pts(on_offshore25_dem_name,
-        easting_min=project_smf.eastingmin25,
-        easting_max=project_smf.eastingmax25,
-        northing_min=project_smf.northingmin25,
-        northing_max= project_smf.northingmax25,
-        use_cache=True, verbose=True)
+dem2pts(onshore_250_dem_name, use_cache=True, verbose=True)
 
 print 'create offshore'
-G1 = Geospatial_data(file_name = project_smf.offshore_dem_name1 + '.xya')+\
-     Geospatial_data(file_name = project_smf.offshore_dem_name2 + '.xya')+\
-     Geospatial_data(file_name = project_smf.offshore_dem_name3 + '.xya')
+G1 = Geospatial_data(file_name = project_smf.offshore_dem_name1 + '.txt')+\
+     Geospatial_data(file_name = project_smf.offshore_dem_name2 + '.txt')+\
+     Geospatial_data(file_name = project_smf.offshore_dem_name3 + '.txt')
 
 print 'create onshore'
-G2 = Geospatial_data(file_name = project_smf.on_offshore25_dem_name + '.pts')
+G2 = Geospatial_data(file_name = project_smf.onshore_250_dem_name + '.pts')
+
+print 'create coastline'
+G3 = Geospatial_data(file_name = project_smf.coast_line + '.txt')
 
 print 'add'
-G = G1 + G2
+G = G1.clip(Geospatial_data(project_smf.polyAll)) + G2 + G3
 
 print 'export points'